Bug 196811 - [WPE] Build error with ENABLE_VIDEO=OFF after r244078
Summary: [WPE] Build error with ENABLE_VIDEO=OFF after r244078
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Pablo Saavedra
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-11 01:23 PDT by Pablo Saavedra
Modified: 2019-04-11 06:31 PDT (History)
8 users (show)

See Also:


Attachments
patch (2.80 KB, patch)
2019-04-11 01:28 PDT, Pablo Saavedra
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Saavedra 2019-04-11 01:23:58 PDT
An alternative local nightly build of the WPE port fails after changes introduced in r244078:


commit 570b1231363977e8a48ac6bee26aa775a94309ac
Author: jer.noble@apple.com <jer.noble@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Date:   Tue Apr 9 15:57:45 2019 +0000

    Source/WebCore:
    Test for: 196095 Inband Text Track cues interspersed with Data cues can display out of order.
    https://bugs.webkit.org/show_bug.cgi?id=196097
    
    Reviewed by Eric Carlson.
    
    Test: media/track/track-in-band-metadata-display-order.html
    
    Add a method in Internals to create a TextTrackCueGeneric (which can normally only be created
    by parsing an in-band media track). This requires adding IDL for TextTrackCueGeneric, and exporting
    TextTrackCueGeneric for testing.
    
    Drive-by fixes:
    
    Add runtime logging to MediaControlTextTrackContainerElement. This necessitates modifying the
    parentMediaElement() method to take a const Node*, and const_cast that constness away in order to return
    a HTMLMediaElement*
    
    TextTrackCue, VTTCue, TextTrackCueGeneric, and DataCue should all use the WTF TypeCasts macros to
    enable use of is<> and downcast<>.



Error:


In file included from DerivedSources/ForwardingHeaders/wtf/HashFunctions.h:26,
                 from DerivedSources/WebCore/CSSPropertyNames.h:7,
                 from /home/igalia/psaavedra/yocto-wandboard-wpe/builds/wandboard-mesa-wpe-alternative/tmp/work/armv7at2hf-neon-imx-poky-linux-gnueabi/wpewebkit/nightly-AUTOINC+2e3d2042f6-r0/git/Source/WebCore/css/CSSStyleDeclaration.h:23,
                 from /home/igalia/psaavedra/yocto-wandboard-wpe/builds/wandboard-mesa-wpe-alternative/tmp/work/armv7at2hf-neon-imx-poky-linux-gnueabi/wpewebkit/nightly-AUTOINC+2e3d2042f6-r0/git/Source/WebCore/css/CSSComputedStyleDeclaration.h:23,
                 from /home/igalia/psaavedra/yocto-wandboard-wpe/builds/wandboard-mesa-wpe-alternative/tmp/work/armv7at2hf-neon-imx-poky-linux-gnueabi/wpewebkit/nightly-AUTOINC+2e3d2042f6-r0/git/Source/WebCore/testing/Internals.h:29,
                 from /home/igalia/psaavedra/yocto-wandboard-wpe/builds/wandboard-mesa-wpe-alternative/tmp/work/armv7at2hf-neon-imx-poky-linux-gnueabi/wpewebkit/nightly-AUTOINC+2e3d2042f6-r0/git/Source/WebCore/testing/Internals.cpp:28:
DerivedSources/ForwardingHeaders/wtf/RefPtr.h: In instantiation of 'void WTF::refIfNotNull(T*) [with T = WebCore::TextTrackCueGeneric]':
DerivedSources/ForwardingHeaders/wtf/RefPtr.h:57:61:   required from 'WTF::RefPtr<T, <template-parameter-1-2> >::RefPtr(T*) [with T = WebCore::TextTrackCueGeneric; PtrTraits = WTF::DumbPtrTraits<WebCore::TextTrackCueGeneric>]'
/home/igalia/psaavedra/yocto-wandboard-wpe/builds/wandboard-mesa-wpe-alternative/tmp/work/armv7at2hf-neon-imx-poky-linux-gnueabi/wpewebkit/nightly-AUTOINC+2e3d2042f6-r0/git/Source/WebCore/testing/Internals.cpp:3584:16:   required from here
DerivedSources/ForwardingHeaders/wtf/RefPtr.h:38:14: error: invalid use of incomplete type 'class WebCore::TextTrackCueGeneric'



git blame Source/WebCore/html/InputType.h
...
b54d1c8871e1 (eric.carlson@apple.com      2013-02-12 06:30:19 +0000  213) #if ENABLE(VIDEO_TRACK)
b54d1c8871e1 (eric.carlson@apple.com      2013-02-12 06:30:19 +0000  214) #include "CaptionUserPreferences.h"
b54d1c8871e1 (eric.carlson@apple.com      2013-02-12 06:30:19 +0000  215) #include "PageGroup.h"
570b12313639 (jer.noble@apple.com         2019-04-09 15:57:45 +0000  216) #include "TextTrackCueGeneric.h"
b54d1c8871e1 (eric.carlson@apple.com      2013-02-12 06:30:19 +0000  217) #endif


TextTrackCueGeneric headers are only included when VIDEO_TRACK is enabled and this is only enabled when VIDEO is enabled as well.
Comment 1 Pablo Saavedra 2019-04-11 01:28:51 PDT
Created attachment 367210 [details]
patch
Comment 2 WebKit Commit Bot 2019-04-11 06:30:07 PDT
Comment on attachment 367210 [details]
patch

Clearing flags on attachment: 367210

Committed r244188: <https://trac.webkit.org/changeset/244188>
Comment 3 WebKit Commit Bot 2019-04-11 06:30:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2019-04-11 06:31:25 PDT
<rdar://problem/49811152>